/*****************************************************************************
 * UiHandler for SegeNT
 *****************************************************************************
 * FileName:        UiHandler.h
 * Dependencies:       
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Haidar Technology, LLC.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Abdul Haidar         4/17/2014
 *****************************************************************************/
#include "MainDemo.h"

/********************************************************************************************************/
// Global Variables
BYTE uiEvent;
BYTE uiServiceRequest;
BYTE ActScrID;
BYTE ActWin1ID;
BYTE ActWin2ID;



/********************************************************************************************************/

typedef enum 
{                  
 uiEVENT_INVALID = 0,			    // Invalid UI_MSG event
 uiEVENT_VALID,					    // Valid UI_MSG event
} UIMSG_STATUS_TYPE;

/********************************************************************************************************/
// UI Msg Event Types

 #define uiEVENT_PRESS             1
 #define uiEVENT_RELEASE           2			
 #define uiEVENT_MOVE              3

/*****************************************************************/
// Functions       

void uiInit();

void uiService();


