/*****************************************************************************
 * ShapeBox Window1 header
 *****************************************************************************
 * FileName:        Win1_ShapeBox.h
 * Dependencies:    
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Haidar Technology, LLC.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Abdul Haidar	  	    4/17/2014	
 *****************************************************************************/

#include "MainDemo.h"

/*********************************************************************/
// Global Constants

#define SHAPEBOX_SQUARE             0
#define SHAPEBOX_RECTANGLE          1
#define SHAPEBOX_BEVEL              2
#define SHAPEBOX_CIRCLE             3
#define SHAPEBOX_FILLEDSQUARE       4
#define SHAPEBOX_FILLEDRECTANGLE    5
#define SHAPEBOX_FILLEDBEVEL        6
#define SHAPEBOX_FILLEDCIRCLE       7

/*********************************************************************/
// Global Variables

BYTE ShapeBox_Index_New;
BYTE ShapeBox_Index_Old;
WORD ShapeBox_Shape;
BYTE ShapeBox_Enable;

/********************************************************************/
void Show_Win1_ShapeBox();

void ui_Win1_ShapeBox();



  