/*****************************************************************************
 * Video Window2 driver
 *****************************************************************************
 * FileName:        Win2_Video.c
 * Dependencies:    see below
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Haidar Technology, LLC.
 *
 * Software License Agreement
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *****************************************************************************/
#include "MainDemo.h"
#include "GUICommands.h"
#include "TerCommands.h"
#include "Demo_VGA_CA32.h"
#include "UiHandler.h"
#include "GUI.h"


/********************************************************************/
void Show_Win2_Video()
{
  ActWin2ID = WINDOW2_VIDEO;
  
  // Load Form
  GuiCmd_Load_Form(ActWin2ID);

  // Show Form
  GuiCmd_Draw_Form(ActWin2ID);
}

/*******************************************************************/
void ui_Win2_Video()
{
 if (UI_Msg.Code == BUTTON_CODE)
  {
   switch (UI_Msg.ID)
   {
      case WINDOW2_VIDEO_BUTTON_CLOSE:
      // Stop Animation
      GuiCmd_Animation_Stop(WINDOW2_VIDEO_IMAGE_ANIMATION);
      // Hide Window
      GuiCmd_View_Form(WINDOW2_VIDEO, 0);
      break;
   }
  }
}    


