/*****************************************************************************
 * On board LEDs
 *****************************************************************************
 * FileName:        LED.h
 * Dependencies:    
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Haidar Technology, LLC.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *****************************************************************************/

#include "MainDemo.h"

/*****************************************************************************
* Macros: LED1ON()
******************************************************************************/
#define   LED1ON()              LED1_LAT_BIT = 1;
/*****************************************************************************
* Macros: LED1OFF()
******************************************************************************/
#define   LED1OFF()             LED1_LAT_BIT = 0;
/*****************************************************************************
* Macros: LED1Toggle()
******************************************************************************/
#define   LED1Toggle()          mPORTGToggleBits(BIT_13)
/*****************************************************************************
* Macros: LED2ON()
******************************************************************************/
#define   LED2ON()              LED2_LAT_BIT  = 1;
/*****************************************************************************
* Macros: LED2OFF()
******************************************************************************/
#define   LED2OFF()             LED2_LAT_BIT  = 0;
/*****************************************************************************
* Macros: LED2Toggle()
******************************************************************************/
#define   LED2Toggle()          mPORTEToggleBits(BIT_2)
/*****************************************************************************
* Macros: LED3ON()
******************************************************************************/
#define   LED3ON()              LED3_LAT_BIT = 1;
/*****************************************************************************
* Macros: LED3OFF()
******************************************************************************/
#define   LED3OFF()             LED3_LAT_BIT = 0;
/*****************************************************************************
* Macros: LED3Toggle()
******************************************************************************/
#define   LED3Toggle()          mPORTEToggleBits(BIT_3)
/*****************************************************************************
* Macros: LED4ON()
******************************************************************************/
#define   LED4ON()              LED4_LAT_BIT = 1;
/*****************************************************************************
* Macros: LED4OFF()
******************************************************************************/
#define   LED4OFF()             LED4_LAT_BIT = 0;
/*****************************************************************************
* Macros: LED4Toggle()
******************************************************************************/
#define   LED4Toggle()          mPORTEToggleBits(BIT_4)                              