/*****************************************************************************
 * RGB PWM driver
 *****************************************************************************
 * FileName:        PWM.c
 * Dependencies:    see below
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Haidar Technology, LLC.
 *
 * Software License Agreement
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *****************************************************************************/
#include "PWM.h"


/********************************************************************/
void initPWM_Blue()
{
OC2CON = 0x0000; // Turn off OC2 while doing setup.
OC2R = 0x009C; // Initialize primary Compare Register
OC2RS = 0x009C; // Initialize secondary Compare Register
OC2CON = 0x0006; // Configure for PWM mode
OC2CONSET = 0x8000; // Enable OC2
}

/********************************************************************/
void initPWM_Red()
{
OC3CON = 0x0000; // Turn off OC2 while doing setup.
OC3R = 0x009C; // Initialize primary Compare Register
OC3RS = 0x009C; // Initialize secondary Compare Register
OC3CON = 0x0006; // Configure for PWM mode
OC3CONSET = 0x8000; // Enable OC2
}

/********************************************************************/
void initPWM_Green()
{
OC4CON = 0x0000; // Turn off OC2 while doing setup.
OC4R = 0x009C; // Initialize primary Compare Register
OC4RS = 0x009C; // Initialize secondary Compare Register
OC4CON = 0x0006; // Configure for PWM mode
OC4CONSET = 0x8000; // Enable OC2
}


