/*****************************************************************************
 * RGB PWM driver 
 *****************************************************************************
 * FileName:        PWM.h
 * Dependencies:    
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Haidar Technology, LLC.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Abdul Haidar         4/17/2014
 *****************************************************************************/

#include "MainDemo.h"


/*********************************************************************/
// Global Vairables

WORD RedPWMValue;
WORD BluePWMValue;
WORD GreenPWMValue;

/********************************************************************/
// Macros

#define SetRedPWM(value)      RedPWMValue = value; SetDCOC4PWM(RedPWMValue);
#define SetBluePWM(value)     BluePWMValue = value; SetDCOC2PWM(BluePWMValue);
#define SetGreenPWM(value)    GreenPWMValue = value; SetDCOC3PWM(GreenPWMValue);
  
/********************************************************************/
// Functions

void initPWM_Red();

void initPWM_Green();

void initPWM_Blue();


  