/*****************************************************************************
 * KeyBoard Screen header
 *****************************************************************************
 * FileName:        Screen_KeyBoard.h
 * Dependencies:    
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Haidar Technology, LLC.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Abdul Haidar	  	    4/17/2014	
 *****************************************************************************/

#include "MainDemo.h"

#define KEYBOARD_MAXCHARCOUNT        64

/*********************************************************************/
// Global Variables
char KeyBoard_Char;
BYTE KeyBoard_CharCount;
char KeyBoard_Text[KEYBOARD_MAXCHARCOUNT];
WORD KeyBoard_CurX;
WORD KeyBoard_CurY;
BYTE KeyBoard_Cap;


/********************************************************************/
void Show_Screen_KeyBoard();

void ui_Screen_KeyBoard();



  