/*****************************************************************************
 * Splash Screen driver
 *****************************************************************************
 * FileName:        Screen_Splash.c
 * Dependencies:    see below
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Haidar Technology, LLC.
 *
 * Software License Agreement
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *****************************************************************************/
#include "MainDemo.h"
#include "GUICommands.h"
#include "TerCommands.h"
#include "Demo_VGA_CA32.h"
#include "UiHandler.h"
#include "GUI.h"


/********************************************************************/
void Show_Screen_Splash()
{
  ActScrID = SCREEN_SPLASH;
  
  // Load Form
  GuiCmd_Load_Form(ActScrID);

  // Show Screen
  GuiCmd_Draw_Form(ActScrID);
}

     


