/*****************************************************************************
 * Thermostate Screen header
 *****************************************************************************
 * FileName:        Screen_Thermostate.h
 * Dependencies:    
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Haidar Technology, LLC.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Abdul Haidar	  	    4/17/2014	
 *****************************************************************************/

#include "MainDemo.h"

#define THERMOSTATE_MAXHOLDCOUNTER     1

/*********************************************************************/
// Global Variables

BYTE Thermostate_UpdateTime;
BYTE Thermostate_UpdateFlag;
BYTE Thermostate_UpdateEnable;
BYTE Thermostate_Timer;

BYTE Thermostate_SetTemp;
BYTE Thermostate_IncHoldCounter;
BYTE Thermostate_DecHoldCounter;


/********************************************************************/
void Show_Screen_Thermostate();

void ui_Screen_Thermostate();



  