/*****************************************************************************
 * Time Screen driver
 *****************************************************************************
 * FileName:        Screen_Time.c
 * Dependencies:    see below
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Haidar Technology, LLC.
 *
 * Software License Agreement
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *****************************************************************************/
#include "MainDemo.h"
#include "GUICommands.h"
#include "TerCommands.h"
#include "Demo_VGA_CA32.h"
#include "UiHandler.h"
#include "GUI.h"


/********************************************************************/
void Show_Screen_Time()
{
  ActScrID = SCREEN_TIME;
  
  // Load Form
  GuiCmd_Load_Form(ActScrID);

  // Show Screen
  GuiCmd_Draw_Form(ActScrID);
}

/*******************************************************************/
void ui_Screen_Time()
{
 if (UI_Msg.Code == BUTTON_CODE)
  {
   switch (UI_Msg.ID)
   {
      case SCREEN_TIME_BUTTON_EXIT:
      Show_Screen_Main();
      break;
   }
  }
} 

     


